# TTTT Analysis: fv::root::_ContainerTH2I< V > Class Template Reference

fv::root::_ContainerTH2I< V > Class Template Reference
Inheritance diagram for fv::root::_ContainerTH2I< V >:
[legend]
Collaboration diagram for fv::root::_ContainerTH2I< V >:
[legend]

## Private Member Functions

void | init_TH2 ()

## Additional Inherited Members

Public Member Functions inherited from fv::root::ContainerTH2< V, int >
| ContainerTH2 (const std::string &name, const std::string &title, GenValue *value, int nbins_x, int low_x, int high_x, int nbins_y, int low_y, int high_y)
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< TH2 >
| Container (const std::string &name, TH2 *container)
virtual TH2 * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)
Protected Member Functions inherited from fv::root::ContainerTH2< V, int >
virtual void | _do_fill (std::pair< V, V > &val)=0
Protected Attributes inherited from fv::root::ContainerTH2< V, int >
std::string | title
int | nbins_x
int | nbins_y
int | low_x
int | low_y
int | high_x
int | high_y
Value< std::pair< V, V > > * | value
Protected Attributes inherited from fv::Container< TH2 >
TH2 * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp